# $Revision: 1.220 $, $Date: 2011/08/28 20:21:18 $
#
# Conditional build:
%bcond_without	gradients	# disable gradients (requires antialiasing which requires freetype)
%bcond_without	freetype	# disable xfreetype support (implies !with_antialiasing)
%bcond_without	guievents	# disable guievents
%bcond_with	gnome2		# build with support for GNOME2 wm-properties
#
# TODO:
# - make a PLD-theme - default :]

Summary:	IceWM X11 Window Manager
Summary(de.UTF-8):	IceWM ist ein Window Manager für X
Summary(es.UTF-8):	Administrador de Ventanas X11
Summary(pl.UTF-8):	IceWM - zarządca okienek X11
Summary(pt_BR.UTF-8):	Gerenciador de Janelas X11
Summary(ru.UTF-8):	Оконный менеджер для X11
Summary(uk.UTF-8):	Віконний менеджер для X11
Name:		icewm
Version:	1.3.7
%define	_iceicons_ver		0.6
%define	_netscapeicons_ver	0.2
Release:	4
Epoch:		2
License:	LGPL
Group:		X11/Window Managers
Source0:	http://dl.sourceforge.net/icewm/%{name}-%{version}.tar.gz
# Source0-md5:	224695231aedb2b91db3254a13e1c8dd
Source1:	IceWM.desktop
Source3:	http://dl.sourceforge.net/icewm/iceicons-%{_iceicons_ver}.tar.gz
# Source3-md5:	53ed111a3c4d1e609bd1604ddccd4701
Source4:	icewm-startup.sh
Source6:	http://dl.sourceforge.net/icewm/netscapeicons-%{_netscapeicons_ver}.tar.gz
# Source6-md5:	409aa9b02adc11309ed546c5120c01d2
Source7:	%{name}-xsession.desktop
Patch0:		%{name}-build-fixes.patch
Patch1:		%{name}-tray_hotfixes.patch
Patch2:		%{name}-fix_input_focus_loss_for_deiconified_frame_1.patch
Patch3:		%{name}-ifstate-exact-check.patch
Patch4:		%{name}-imap-unseen.patch
Patch5:		%{name}-autohide.patch
URL:		http://www.icewm.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	kde4-kde3support
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
%{?with_freetype:BuildRequires:	xorg-lib-libXft-devel >= 2.1}
BuildRequires:	xorg-lib-libXinerama-devel
%{?with_guievents:BuildRequires:	yiff-devel}
Requires(pre):	fileutils
Requires(pre):	sh-utils
Requires:	shared-mime-info
Requires:	xinitrc-ng
Suggests:	vfmg >= 0.9.95
Conflicts:	filesystem < 3.0-20
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_wmpropsdir	/usr/share/gnome/wm-properties
%define		specflags_ia32	-fomit-frame-pointer

%description
Window Manager for X Window System. Can emulate the look of
Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of
the above systems. Features multiple workspaces, opaque move/resize,
task bar, window list, mailbox status, digital clock. Fast and small.

%description -l es.UTF-8
Administrador de Ventanas para el X Window. Puede emular la apariencia
del Windows'95, OS/2 Warp 3 y 4 y el Motif. Intenta usar las mejores
características de los sistemas citados. Características: varios
ambientes de trabajo, movimiento/ redimensionamiento opaco, barra de
tareas, lista de ventanas, estado de la caja de entrada del correo y
reloj digital. Rápido y pequeño.

%description -l pl.UTF-8
Zarządca okienek pod X11. Może emulować wygląd Windows'95, OS/2 Warp
3, 4, MWM. Zarządca ten próbuje przejąć z powyższych środowisk ich
najlepsze cechy, takie jak: wiele jednocześnie obecnych przestrzeni
roboczych, paski narzędziowe, status skrzynki z pocztą, cyfrowy zegar.
Jest przy tym mały i szybki.

%description -l pt_BR.UTF-8
Gerenciador de Janelas para o X Window. Pode emular a aparência do
Windows'95, OS/2 Warp 3 e 4 e o Motif. Tenta usar as melhores
características dos sistemas citados. Características: vários
ambientes de trabalho, movimentação/ redimensionamento opaco, barra de
tarefas, lista de janelas, status da caixa de entrada do correio e
relógio digital. É rápido e pequeno.

%description -l ru.UTF-8
Оконный менеджер для X Window System. Может эмулировать внешний вид
Windows'95, OS/2 Warp 3,4, Motif. Старается взять лучшее из упомянутых
систем. Поддерживает несколько рабочих поверхностей, непрозрачное
перемещение окон, полоску заданий, список окон, статус почтового
ящика, цифровые часы. Быстрый и компактный.

%description -l uk.UTF-8
Віконний менеджер для X Window System. Може емулювати зовнішній вигляд
Windows'95, OS/2 Warp 3,4, Motif. Намагається взяти найкраще із
згаданих систем. Підтримує кілька робочих площин, непрозоре
переміщення вікон, смужку завдань, список вікон, стан поштової
скриньки, цифровий годинник. Швидкий та компактний.

%description -l de.UTF-8
IceWM ist ein in C++ programmierter, unter GPL stehender
Fenstermanager für das X11-Fenstersystem. Ziel von IceWM ist
Geschwindigkeit, Schlichtheit und Bedienerfreundlichkeit.

In der Standardeinstellung erinnert das Design von IceWM stark an
Microsoft Windows: Er verfügt über eine Taskleiste am unteren
Bildrand, das aktive Fenster lässt sich mit der Tastenkombination
ALT-TAB wechseln, etc.

%package themes-base
Summary:	Pack of themes for IceWM
Summary(pl.UTF-8):	Zestaw motywów dla IceWM-a
Group:		Themes
Requires:	icewm

%description themes-base
Standard pack of themes delivered with IceWM. All of them made by
Marko Macek: gtk2, metal2, motif, nice, nice2, warp3, warp4, win95.

%description themes-base -l pl.UTF-8
Standardowy zestaw motywów dla IceWM-a, dostarczany wraz z nim.
Wszystkie stworzone przez Marko Macka: gtk2, metal2, motif, nice,
nice2, warp3, warp4, win95.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

cd lib/icons
tar -xzf %{SOURCE3}
tar -xzf %{SOURCE6}

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	%{!?with_gradients:--disable-gradients} \
	%{!?with_freetype:--disable-xfreetype --enable-corefonts} \
	%{?with_guievents:--enable-guievents} \
	--enable-shaped-decorations \
	--with-cfgdir=%{_sysconfdir}/X11/%{name} \
	--with-docdir=%{_docdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xsessions,%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_wmpropsdir},%{_sysconfdir}/X11/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_gnome2:install %{SOURCE1} $RPM_BUILD_ROOT%{_wmpropsdir}}
install %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/icewm/startup
install %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/xsessions/%{name}.desktop
install lib/keys $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/keys
sed 's|^# IconPath=""|IconPath="%{_datadir}/pixmaps:%{_datadir}/icons"|' < lib/preferences > $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/preferences
install lib/toolbar $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/toolbar
install lib/winoptions $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/winoptions
echo %{_bindir}/icewmbg > $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/startup
:> $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/restart

ln -s %{_datadir}/icewm/icons $RPM_BUILD_ROOT%{_pixmapsdir}/icewm

echo "menuprog \"Programs\" %{_datadir}/icewm/icons/folder_16x16.xpm vfmg -i -f -x -c -s icewm" > $RPM_BUILD_ROOT%{_sysconfdir}/X11/%{name}/menu

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
test -h %{_pixmapsdir}/icewm || rm -rf %{_pixmapsdir}/icewm

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CHANGES PLATFORMS README* TODO icewm.lsm doc/*.html
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/X11/%{name}
%config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/X11/%{name}/[!rs]*
%config(noreplace,missingok) %verify(not md5 mtime size) %attr(755,root,root) %{_sysconfdir}/X11/%{name}/[rs]*
%{_pixmapsdir}/icewm
%dir %{_datadir}/icewm
%{_datadir}/icewm/icons
%{_datadir}/icewm/ledclock
%{_datadir}/icewm/mailbox
%attr(755,root,root) %{_datadir}/icewm/startup
%{_datadir}/icewm/taskbar
%dir %{_datadir}/icewm/themes
%{_datadir}/icewm/themes/Infadel2
%{_datadir}/icewm/themes/icedesert
%{_datadir}/xsessions/%{name}.desktop
%{?with_gnome2:%{_wmpropsdir}/*}

%files themes-base
%defattr(644,root,root,755)
%{_datadir}/icewm/themes/gtk2
%{_datadir}/icewm/themes/metal2
%{_datadir}/icewm/themes/motif
%{_datadir}/icewm/themes/nice
%{_datadir}/icewm/themes/nice2
%{_datadir}/icewm/themes/warp3
%{_datadir}/icewm/themes/warp4
%{_datadir}/icewm/themes/win95
%{_datadir}/icewm/themes/yellowmotif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icewm.spec,v $
Revision 1.220  2011/08/28 20:21:18  gotar
- one more autohide fix: moving out of newly created window at taskbar (for
  the first time taskbar is being shown); issue introduced in 1.54.2.24:
  'fix taskbar pop out when fullscreen window activates and mouse is over taskbar'
- rel. 4

Revision 1.219  2011/07/28 10:20:56  baggins
- renamed gnome bcond

Revision 1.218  2011/07/27 20:31:06  baggins
- rel 3
- conditional (off by default) wm-properties

Revision 1.217  2011/07/27 20:11:51  baggins
- replace wmstyle startup script with script run directly by icewm-session

Revision 1.216  2011/05/30 22:20:26  gotar
- patch for autohide bug #2949425

Revision 1.215  2011/04/11 12:37:20  baggins
- rel 2

Revision 1.214  2011/04/11 12:35:34  baggins
- fix BR

Revision 1.213  2011/04/11 12:30:25  baggins
- 1.3.7
- added patches from debian

Revision 1.212  2010/10/28 20:41:28  witekfl
- R: shared-mime-info

Revision 1.211  2010/06/03 15:23:33  baggins
- rel 2
- esound is dead

Revision 1.210  2010/02/12 19:50:24  sparky
- BR: gtk+2-devel, kde4-kde3support, pkgconfig, xorg-lib-libICE-devel,
  xorg-lib-libSM-devel, xorg-lib-libXinerama-devel

Revision 1.209  2010/02/10 22:30:16  gotar
- upgraded to 1.3.6

Revision 1.208  2010/02/10 20:59:12  gotar
- upgraded to 1.2.37

Revision 1.207  2008/09/18 15:51:29  patrys
- move wm-properties
- rel 3

Revision 1.206  2008/08/26 13:31:07  gotar
- VFMG is not required, just highly suggested

Revision 1.205  2007/10/31 20:45:53  twittner
- -tray_hotfixes.patch from Debian - some program icons don't appear
  on tray at all
- rel. 2

Revision 1.204  2007/10/29 21:06:27  twittner
- up to 1.2.32 (hidding kopete window by clicking on tray icon now works ;)

Revision 1.203  2007/07/12 22:22:38  twittner
- up to 1.2.30
- -types.patch in sources - removed
- home_etc.patch needs its author attention (commented out)

Revision 1.202  2007/06/04 20:00:25  qrczak
- Fixed bcond comment

Revision 1.201  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.200  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.199  2006/08/26 18:29:50  havner
- s/wmstyles/wmstyle

Revision 1.198  2006/08/23 18:59:57  havner
- [mass] do not require xinitrc-ng for window managers /usr/share/xsessions
  is in filesystem.spec and no xinitrc is required for wm to run.

Revision 1.197  2006/07/25 14:35:26  havner
- types patch

Revision 1.196  2006/04/18 20:29:39  sparky
- prepared for new vfmg, rel 0.2

Revision 1.195  2006/03/09 16:13:02  gotar
- upgraded to 1.2.25

Revision 1.194  2005/12/07 11:14:49  qboosh
- yiff used only for guievents

Revision 1.193  2005/09/12 22:59:18  prism
- 1.2.23
- fixed a stupid typo

Revision 1.192  2005/04/14 18:49:24  glen
- fix broken adapterize

Revision 1.191  2005/04/06 18:26:38  glen
- fix wmstyles pathname

Revision 1.190  2005/03/23 12:08:07  spider
- added german description

Revision 1.189  2005/01/14 20:28:55  tommat
- version 1.2.20 rel 0.1

Revision 1.188  2004/10/04 22:09:34  havner
- enable corefonts if without freetype
- cosmetics
- rel 3

Revision 1.187  2004/09/22 22:59:41  jareq
- with gradients - enabled by default (some thames require this)

Revision 1.186  2004/09/21 21:39:29  gotar
- set IconPath

Revision 1.185  2004/09/14 21:29:53  gotar
- so shameful;/

Revision 1.184  2004/09/04 12:47:31  radek
- run icewm-session instead of icewm in icewm-session.sh; pointed out by Przemysław Białek (lobo at chello.pl)

Revision 1.183  2004/08/22 14:34:36  gotar
- removed gnome bcond remnants

Revision 1.182  2004/08/18 11:21:08  wolf
- 1.2.16

Revision 1.181  2004/08/09 13:44:03  deejay1
- added icewm-helpbrowser.patch - help browser now usable
- rel. up to 1.%{_pre}.4

Revision 1.180  2004/07/22 21:46:17  ankry
- desktop fix, rel. .3

Revision 1.179  2004/07/09 18:25:50  havner
- R: xinitrc-ng instead of xinitrc

Revision 1.178  2004/07/09 17:22:34  havner
- removed icewm-session.names, it's obsolete now

Revision 1.177  2004/07/09 13:51:49  havner
- small fix

Revision 1.176  2004/07/09 13:27:27  havner
- s/icewm/icewm-session in wmstyledir because in desktop file
  Exec=icewm-session so scripts looks for this name in wmstyledir
- rel up

Revision 1.175  2004/07/06 20:16:35  wolf
- 1.2.15pre1

Revision 1.174  2004/07/06 15:14:33  havner
- more parameters for vfmg

Revision 1.173  2004/07/04 16:39:55  havner
- rel up

Revision 1.172  2004/07/04 14:00:01  havner
- removed applnk files
- removed gnome bcond, now uses vfmg only
- R: vfmg

Revision 1.171  2004/06/20 21:36:45  arekm
- fix specflags (quotation here is buggy)

Revision 1.170  2004/03/13 21:41:55  wolf
- pre10

Revision 1.169  2004/02/01 09:39:17  qboosh
- standardize locale dir names (no->nb, zh_TW.Big5->zh_TW)
- new-style bconds, release .2

Revision 1.168  2004/01/24 00:12:02  mmazur
- up to pre9

Revision 1.167  2004/01/09 11:05:43  jajcus
- Release: 1

Revision 1.166  2004/01/09 10:30:10  jajcus
- Release: 0.4
- -link_with_g++.patch (link C++ code using g++)
- BuildRequires: yiff-devel
- config.sub refreshed (for AMD64)

Revision 1.165  2004/01/03 15:35:17  wolf
- pre6

Revision 1.164  2003/12/22 22:24:38  wolf
- 1.2.14pre2

Revision 1.163  2003/11/10 06:09:59  witekfl
- added home_etc.patch
- rel 0.2

Revision 1.162  2003/11/01 20:40:10  wolf
- 1.2.14pre1

Revision 1.161  2003/10/05 15:07:17  wolf
- 1.2.13

Revision 1.160  2003/10/05 10:19:35  wolf
- typo

Revision 1.159  2003/09/28 11:29:04  adgor
- Added desktop file for gdm/kdm support
- IceWM.{names,sh} -> %%{name}.{names,sh}
- %%{name}.names should be 644

Revision 1.158  2003/09/19 08:04:42  gotar
- fixed release

Revision 1.157  2003/09/19 08:04:13  gotar
- pre3

Revision 1.156  2003/09/10 15:13:21  wolf
- pre2

Revision 1.155  2003/08/31 23:41:05  wolf
- 1.2.13pre1

Revision 1.154  2003/08/26 08:08:02  gotar
- back to epoch: 2

Revision 1.153  2003/08/25 20:41:00  wolf
- 1.2.12

Revision 1.152  2003/08/21 19:16:43  undefine
- xft-devel requires xrender-devel

Revision 1.151  2003/08/20 21:23:23  undefine
- update to 1.2.11
- BR: XFree86-xrender-devel

Revision 1.150  2003/08/12 07:52:38  qboosh
- simplified prep

Revision 1.149  2003/08/11 19:43:39  pbern
- update to 1.2.10

Revision 1.148  2003/08/11 11:01:05  wolf
- pre11

Revision 1.147  2003/08/01 19:43:38  gotar
- pre10

Revision 1.146  2003/08/01 14:26:11  wolf
- 1.2.10pre9

Revision 1.145  2003/07/27 21:58:33  gotar
- pre8

Revision 1.144  2003/07/27 06:35:42  gotar
- pre7

Revision 1.143  2003/07/26 17:43:05  gotar
- pre6

Revision 1.142  2003/07/26 12:35:28  gotar
- added startup (icewmbg) and restart (empty) scripts,
- added missingok flag for config files.

Revision 1.141  2003/07/24 17:06:25  gotar
- pre5

Revision 1.140  2003/07/20 19:52:16  wolf
- patch out

Revision 1.139  2003/07/20 18:32:24  gotar
- pre4

Revision 1.138  2003/07/16 11:09:49  wolf
- pre3

Revision 1.137  2003/07/12 09:34:32  wolf
- 1.2.10pre2

Revision 1.136  2003/07/02 18:52:29  wolf
- missing comma

Revision 1.135  2003/06/30 08:11:32  gotar
- upgraded to 1.2.10pre1,
- previous menu entry using icewm-menu-gnome2 when built with gnome

Revision 1.134  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.133  2003/06/23 22:00:34  wolf
- typo

Revision 1.132  2003/06/23 21:49:08  gotar
- replaced f* up icewm-menu-gnome{1,2} with wmconfig,
- release 2.

Revision 1.131  2003/06/22 22:50:46  wolf
- nls is fixed on gcc 3.3

Revision 1.130  2003/06/22 22:41:00  wolf
- proper menu generator

Revision 1.129  2003/06/22 22:34:18  wolf
- proper BR

Revision 1.128  2003/06/22 22:03:24  gotar
- upgraded to 1.2.9

Revision 1.127  2003/06/19 22:14:44  wolf
- menu fix
- nls doesn't work for me

Revision 1.126  2003/06/10 20:54:14  adamg
- up to 1.2.8

Revision 1.125  2003/05/28 12:59:07  malekith
- massive attack: source-md5

Revision 1.124  2003/05/25 05:48:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.123  2003/03/08 22:13:02  wolf
- 1.2.7

Revision 1.122  2003/02/23 23:40:22  ankry
- s/temat/motyw/g

Revision 1.121  2003/02/17 15:05:21  qboosh
- changed _wmpropsdir to _prefix-independent location (/usr/share/wm-properties)

Revision 1.120  2003/02/12 20:19:26  wolf
- release 4: cleanups after 'two lines' guy

Revision 1.119  2003/02/03 20:55:56  gotar
- config dir back to /etc/X11,
- xfreetype is enabled by default,
- release 3.

Revision 1.118  2003/02/01 17:48:35  grzegol
- properly commented out %%gettextize

Revision 1.117  2003/02/01 14:15:56  gotar
- added autoheader macro

Revision 1.116  2003/02/01 14:05:15  gotar
- reverted antialiasing bcond - there are errors, but it works,
- commented out gettextize - it's broken,
- moved config dir from /etc/X11 to /etc,
- release 2.

Revision 1.115  2003/01/24 09:43:42  qboosh
- gettextize should be called before aclocal and autoconf

Revision 1.114  2003/01/23 22:20:08  gotar
- upgraded to 1.2.6,
- BR: autoconf, automake, gettext-devel,
- use %{__gettextize}.

Revision 1.113  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.112  2003/01/12 20:23:45  wolf
- windows with round corners

Revision 1.111  2003/01/10 21:34:14  gotar
- upgraded to 1.2.5

Revision 1.110  2003/01/10 17:36:30  gotar
- reverted antialiasing bcond; EVERYTHING above basic
  functionality is broken, do not enable it by default,
- release 3.

Revision 1.109  2003/01/05 16:19:37  grzegol
- it doesn't require Xft-devel when building --without freetype

Revision 1.108  2003/01/05 14:09:35  wolf
- enable aa by default, I want nice icons
- BR Xft
- menu working now (please check next time, not just write some random text)

Revision 1.107  2003/01/04 14:02:25  gotar
- added patch, release 2.

Revision 1.106  2003/01/04 11:38:50  grzegol
- updated to 1.2.4

Revision 1.105  2003/01/03 14:16:36  grzegol
- removed outdated patches (already in sources)

Revision 1.104  2003/01/01 09:46:54  gotar
- s/"%{_sysconfdir}/X11/icewm"/"%{_sysconfdir}/X11/%{name}"/

Revision 1.103  2003/01/01 09:34:53  gotar
- Epoch 2 for making upgrade possible

Revision 1.102  2002/12/31 18:04:44  gotar
- upgraded to 1.2.3,
- fixed source URLs (Czech mirror),
- fixed BR (libstdc++ instead of gcc-c++),
- s/%{_libdir}\/X11/%{_datadir}/ - now is FHS compliant,
- someone check patches please, I don't use them.

Revision 1.101  2002/11/25 01:41:20  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.100  2002/11/15 00:21:53  grzegol
- updated to 1.2.3pre1
- added compile-fixes patch (fixes compile errors)

Revision 1.99  2002/09/28 16:22:35  wolf
- rel 2
- menu hack for 1.2.2

Revision 1.98  2002/09/10 05:38:47  gotar
- back to http sources, ftp is overloaded.

Revision 1.97  2002/09/09 14:34:19  gotar
- switched to ftp source,
- fixed imlib bcond (in 1.2.2 default behaviour of ./configure has changed).

Revision 1.96  2002/09/07 16:03:38  kloczek
- (auto)updated to 1.2.2: bug fixes.

Revision 1.95  2002/07/10 11:18:25  qboosh
- BR: gcc-c++ not libstdc++-devel, added some bconds to disable some features

Revision 1.94  2002/07/01 20:03:14  kloczek
- adapterized.

Revision 1.93  2002/07/01 19:50:47  grzegol
- updated to 1.2.0
- Epoch:1 to allow upgrade from 1.2.0pre3
STBR

Revision 1.92  2002/06/21 17:02:03  grzegol
- merged with DEVEL
  * updated to 1.2.0pre3 (bugfix release)
  * added with_antialiasing and with_gradients bconds
  * cosmetics
STBR

Revision 1.91  2002/06/05 05:31:27  kloczek
- merge translations from KSI and Conectiva.

Revision 1.90  2002/05/31 07:20:01  gotar
- upgraded to 1.2.0pre2

Revision 1.89  2002/05/07 11:38:08  grzegol
- description fix

Revision 1.88  2002/04/25 16:35:32  arturs
fixed a small typo

Revision 1.87  2002/04/13 21:56:13  gotar
- moved back icons, symlink in %{_pixmapsdir} instead,
- release 9.

Revision 1.86  2002/03/05 10:10:31  marcus
- fixed problem with icons (in SOURCES was bad file!)
- addedd more icons
- rel.8.

Revision 1.85  2002/03/04 09:58:39  gotar
- ugly hack to rpm upgrade reverse switch lackness,
- release 7, STBR.

Revision 1.84  2002/03/03 11:16:04  gotar
- changes made by icewm-menu.patch were overwritten when building,
  replaced with icewm-menu,
- removed one more sub-BuildRequires (required by gnome-libs-devel),
- added one more %doc file.

Revision 1.83  2002/03/02 22:49:16  gotar
- removed Requires: autoconf, libtool and some of *-devel (required
  by imlib-devel),
- moved icons to %{_pixmapsdir}/icewm.

Revision 1.82  2002/03/02 15:28:56  gotar
- changed %configure options:
 --with-{gnome,shape,sm} - no such switches,
 --enable-nls - enabled by default,
 --enable-gradients - implies antialiasing (slow) and shitting screen by
 IceWM: Warning: ypixbuf.cc:1025: Failed to copy drawable 0x400b0a to pixel buffer
- release 6, STBR.

Revision 1.81  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.80  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.79  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.78  2001/12/28 17:15:55  gotar
- changes in descriptions.

Revision 1.77  2001/12/14 03:34:30  kloczek
- typo in %build.

Revision 1.76  2001/12/10 14:17:06  blues
- removed antialiasing (it's slows down....)

Revision 1.75  2001/12/10 10:04:51  wolf
- s/--with-i18n/--enable-i18n/
- release 5

Revision 1.74  2001/11/25 16:14:47  gotar
- added /etc/X11/icewm dir to the package contents,
- release 4.

Revision 1.73  2001/11/20 11:04:52  kloczek
- release 3: spec adapterized.

Revision 1.72  2001/11/20 03:44:42  djrzulf
- added wmstyle support,

Revision 1.71  2001/10/30 19:21:20  gotar
- configure cleanups.

Revision 1.70  2001/10/11 16:06:38  blues
- added some features to configure - works fine for me :)

Revision 1.69  2001/10/11 00:49:43  blues
- 1.0.9
- removed outdated patches
- some cleanups
NOTE: there is some features which are turned off now, but could be tested,
where is that pl-translation???

Revision 1.68  2001/09/26 11:14:24  qboosh
- adapterized

Revision 1.67  2001/09/26 11:10:06  qboosh
- BuildRequires: libtool

Revision 1.66  2001/08/30 12:18:48  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.65  2001/07/16 17:27:12  gotar
- removed redundant rpm macros,
- cosmetics.

Revision 1.64  2001/07/15 00:39:05  blues
- %%configure is back (solution: export LDFLAGS;configure2_13)

Revision 1.63  2001/07/14 23:56:03  kloczek
- release 8.

Revision 1.62  2001/07/14 22:18:42  blues
- removed %%configure macro - it doesn't work. Other macros removed.
- ac2.50 ready

Revision 1.60  2001/07/03 15:32:32  kloczek
- release 7.

Revision 1.59  2001/07/03 13:01:34  gotar
- added using %{__*} macros,
- added %{_libdir}/X11/icewm/themes to the package contents.

Revision 1.58  2001/06/30 22:52:49  blues
- one more build-require

Revision 1.57  2001/06/30 22:40:48  blues
- Release 6
- added nice pack of icons

Revision 1.56  2001/06/26 16:39:19  blues
- typo

Revision 1.55  2001/06/25 15:46:03  kloczek
- release 5,
- fix: added missing %defattr() in themes subpackage,
- fix: added also themes directories to packages %files lists.

Revision 1.54  2001/06/24 13:14:55  blues
- release 4
- 1.0.8-6

Revision 1.53  2001/05/17 09:38:58  blues
- xine: version 0.4.3
- cosmetics

Revision 1.52  2001/05/16 19:46:11  blues
- Release 3
- themes (except one) separated from main package.
Note: could anyone make PLD-theme? It would be added as default theme :]

Revision 1.51  2001/05/16 19:03:00  blues
- menu patch added

Revision 1.50  2001/05/04 14:17:08  blues
- typo

Revision 1.49  2001/05/04 12:51:49  blues
- TODO list

Revision 1.48  2001/04/27 18:24:37  blues
- Release 2
- corrected cfgdir
- STB

Revision 1.47  2001/04/27 18:01:42  blues
- new sources version with some bug-fixes

Revision 1.46  2001/04/24 18:42:51  kloczek
- more macros (use %%{_applnkdir} macro),
- removed COPYING, INSTALL, VERSION from %doc (these files aren't realy
  neccessary :)),
- a few cosmetics.

Revision 1.45  2001/04/24 16:16:52  blues
- cosmetics
- docs instaled in proper directory (icewm-help needed that)
- prep -q
- STB

Revision 1.44  2001/04/24 15:46:41  blues
- more macros used
- added more docs
- licence changed
- some other changes

Revision 1.43  2001/04/24 14:58:44  blues
- correct source-file
- started spec adapting

Revision 1.42  2001/04/20 08:48:57  kloczek
- release 6.

Revision 1.41  2001/04/19 18:20:54  blues
- docs gzip'ing uncommented....

Revision 1.40  2001/04/18 14:07:21  blues
- icewm settings are now in %{_prefix}/share/applnk/Settings/IceWM/
  Other icewm-related progs should use this.
- cosmetics

Revision 1.39  2001/04/18 13:46:28  blues
- release 5
- STB!!! Previous was broken (no themes in package)

Revision 1.38  2001/04/15 18:02:27  qboosh
- moved /usr/X11R6/share/gnome/wm-properties to /usr/X11R6/share/wm-properties

Revision 1.37  2001/04/13 06:07:35  kloczek
- release 4.

Revision 1.36  2001/04/12 02:14:48  blues
- added %dir to %{_libdir}/X11/icewm/

Revision 1.35  2001/04/05 12:31:57  blues
- a few typos corrected

Revision 1.34  2001/03/27 22:39:42  blues
- icewm 1.0.7 rel 3 - it really uses files in /etc/X11/icewm now
- first pack and release of icewm-themes
- little translation in freeamp

Revision 1.33  2001/03/25 02:34:33  kloczek
- release 2.

Revision 1.32  2001/03/25 02:33:04  blues
- config files in /etc/X11/icewm too

Revision 1.31  2001/03/25 01:20:02  blues
- version 1.0.7-7
- new DESTDIR.patch

Revision 1.30  2001/03/03 14:14:30  kloczek
- added time patch with fix which allow build on glibc 2.2.2.

Revision 1.29  2001/03/03 14:03:05  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.28  2001/01/17 19:25:12  misiek
update to 1.0.6

Revision 1.27  2000/12/16 04:04:55  kloczek
- updated to 1.0.5,
- added DESTDIR style install (DESTDIR patch added).

Revision 1.26  2000/11/12 20:11:55  kloczek
- modyfications for using new rpm automation.

Revision 1.25  2000/08/29 14:21:06  baggins
- typo

Revision 1.24  2000/07/28 13:57:37  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.23  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.22  2000/06/12 06:17:51  kloczek
- updated to 1.0.4.

Revision 1.21  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.19  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicated empty lines

Revision 1.18  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.17  2000/03/20 23:58:47  kloczek
- updated to 1.0.3.

Revision 1.16  2000/03/15 21:36:33  wiget
- BuildRequires: zlib-devel

Revision 1.15  2000/02/20 07:03:05  kloczek
- updated to 1.0.2.

Revision 1.14  2000/02/02 11:43:08  zagrodzki

- typo

Revision 1.13  2000/01/14 13:42:08  kloczek
- updated to 1.0.1,
- added desktop file for icewm.

Revision 1.12  2000/01/13 05:50:54  kloczek
- typo.

Revision 1.11  2000/01/13 05:21:34  kloczek
- added BuildRequires rules,
- added using more rpm macros,
- adapter(ized),
- updated Source url and URL.

Revision 1.10  2000/01/04 00:11:24  kura
- updated to 1.0.0

Revision 1.9  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).
